import pygame
import time
from pygame.locals import *

screen = pygame.display.set_mode((640, 480))

gfx = pygame.image.load('graphics.png')
gfx_w, gfx_h = gfx.get_size()
scale = 4
gfx = pygame.transform.scale(gfx, (scale*gfx_w, scale*gfx_h))
tilesize = 16
delay = 200

frames = gfx_w / tilesize

started = time.time()

while True:
    e = pygame.event.poll()
    if e.type == QUIT:
        break

    screen.fill((0, 0, 10))

    duration = int(1000*(time.time()-started))

    image = int(duration / delay) % frames

    screen.blit(gfx, (10, 10), (image*tilesize*scale, 0, tilesize*scale, tilesize*scale))

    pygame.display.flip()
