import struct
import oplfm
import time
import argparse

parser = argparse.ArgumentParser(description='Play back an OPL dump.')
parser.add_argument('filename', help='Filename to play')

args = parser.parse_args()

with open(args.filename, 'rb') as fp:
    while True:
        data = fp.read(2)
        if not data:
            break
        addr, value = struct.unpack('BB', data)
        if addr == 0xff:
            time.sleep(value * 0.001)
            continue
        oplfm.ao(addr, value)
