/* Exported/generated from layout.py */
#define PORT_WIDTH 480
#define PORT_HEIGHT 272
struct LayoutRect {
    unsigned short x, y, w, h;
    unsigned short name;
    unsigned short kind;
};
enum GameLayoutRectName {
    GAME_LAYOUT_BG,
    GAME_LAYOUT_BGFIX,
    GAME_LAYOUT_TITLE_BAR,
    GAME_LAYOUT_PLAY_FIELD,
    GAME_LAYOUT_SCORE_1,
    GAME_LAYOUT_SCORE_2,
    GAME_LAYOUT_SCORE_3,
    GAME_LAYOUT_BLOCK,
};
struct GameLayout {
    LayoutRect bg;
    LayoutRect bgfix;
    LayoutRect title_bar;
    LayoutRect play_field;
    LayoutRect score_1;
    LayoutRect score_2;
    LayoutRect score_3;
    LayoutRect block;
} game_layout = {
    { 0, 0, 480, 272, GAME_LAYOUT_BG, 1 },
    { 332, 116, 124, 132, GAME_LAYOUT_BGFIX, 1 },
    { 304, 24, 152, 40, GAME_LAYOUT_TITLE_BAR, 0 },
    { 24, 24, 256, 224, GAME_LAYOUT_PLAY_FIELD, 2 },
    { 332, 116, 124, 36, GAME_LAYOUT_SCORE_1, 0 },
    { 332, 164, 124, 36, GAME_LAYOUT_SCORE_2, 0 },
    { 332, 212, 124, 36, GAME_LAYOUT_SCORE_3, 0 },
    { 1000, 1000, 16, 16, GAME_LAYOUT_BLOCK, 2 },
};
struct LayoutRect subdivided[] = {
    { 0, 0, 480, 24, GAME_LAYOUT_BG, 1 },
    { 0, 24, 24, 224, GAME_LAYOUT_BG, 1 },
    { 24, 24, 256, 224, GAME_LAYOUT_PLAY_FIELD, 2 },
    { 280, 24, 24, 40, GAME_LAYOUT_BG, 1 },
    { 304, 24, 152, 40, GAME_LAYOUT_TITLE_BAR, 0 },
    { 456, 24, 24, 40, GAME_LAYOUT_BG, 1 },
    { 280, 64, 200, 52, GAME_LAYOUT_BG, 1 },
    { 280, 116, 52, 132, GAME_LAYOUT_BG, 1 },
    { 332, 116, 124, 36, GAME_LAYOUT_SCORE_1, 0 },
    { 456, 116, 24, 132, GAME_LAYOUT_BG, 1 },
    { 332, 152, 124, 12, GAME_LAYOUT_BGFIX, 1 },
    { 332, 164, 124, 36, GAME_LAYOUT_SCORE_2, 0 },
    { 332, 200, 124, 12, GAME_LAYOUT_BGFIX, 1 },
    { 332, 212, 124, 36, GAME_LAYOUT_SCORE_3, 0 },
    { 0, 248, 480, 24, GAME_LAYOUT_BG, 1 },
    { 1000, 1000, 16, 16, GAME_LAYOUT_BLOCK, 2 },
};
